1. Types
2. vcenter
3. vm
4. hardware
5. boot

## vcenter vm hardware boot: create spec

The `create_spec` structure describes settings used when booting a virtual machine.

### Representations:

- JSON
- XML

{
"delay": 1,
"efi_legacy_boot": true,
"enter_setup_mode": true,
"network_protocol": "IPV4",
"retry": true,
"retry_delay": 1,
"type": "BIOS"
}
<?xml version="1.0" ?>
<ns0:CreateSpec xmlns:ns0="http://vmware.com/vcenter/vm/hardware/boot" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<network_protocol>IPV4</network_protocol>
<retry_delay>1</retry_delay>
<delay>1</delay>
<retry>true</retry>
<type>BIOS</type>
<enter_setup_mode>true</enter_setup_mode>
<efi_legacy_boot>true</efi_legacy_boot>
</ns0:CreateSpec>

#### Attributes:

Name | Type | Description
--- | --- | ---
Optional
type | string | Firmware type to be used by the virtual machine. Optional. If unset, defaults to value that is recommended for the guest OS and is supported for the virtual hardware version.
efi_legacy_boot | boolean | Flag indicating whether to use EFI legacy boot mode. Optional. It is only relevant when type has value EFI. If unset, defaults to value that is recommended for the guest OS and is supported for the virtual hardware version.
network_protocol | string | Protocol to use when attempting to boot the virtual machine over the network. Optional. It is only relevant when type has value EFI. If unset, defaults to a system defined default value.
delay | long | Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on. This delay may be used to provide a time window for users to connect to the virtual machine console and enter BIOS setup mode. Optional. If unset, default value is 0.
retry | boolean | Flag indicating whether the virtual machine should automatically retry the boot process after a failure. Optional. If unset, default value is false.
retry_delay | long | Delay in milliseconds before retrying the boot process after a failure; applicable only when vcenter.vm.hardware.boot.info.retry is true. Optional. If unset, default value is 10000.
enter_setup_mode | boolean | Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots. Note that this flag will automatically be reset to false once the virtual machine enters setup mode. Optional. If unset, the value is unchanged.